#!/usr/bin/env bash
set -e

# Retrieve the configured external port from the options
external_port=$(bashio::config 'external_port')

# Configure port mapping dynamically
echo "Mapping internal port 80 to external port ${external_port}"

# Start your service, ensuring that it listens on the internal port 80
service apache2 start

# Keep the container running
tail -f /dev/null
